Skip to main content
DELETE
/
entities
/
{id}
Delete a entity
curl --request DELETE \
  --url https://app.leadconduit.com/entities/{id} \
  --header 'Authorization: Basic <encoded-value>'
{
  "name": "A Corporation",
  "module_ids": [
    "<string>"
  ],
  "source": "form",
  "recipient": "buyer",
  "id": "5fd4371e940df5a34a3888b2",
  "description": "<string>",
  "standard": false,
  "account": true,
  "pending": true,
  "connected": "seller",
  "connected_account_id": "5fd4371e940df5a34a3888b2",
  "deprecated": false,
  "see": "5fd4371e940df5a34a3888b2",
  "field_suffix": "acorp",
  "invitation_id": "5fd4371e940df5a34a3888b2",
  "invitation_expires_at": "2025-11-07T00:00:00Z",
  "expired": false,
  "flow_ids": [
    "5fd4371e940df5a34a3888b2"
  ],
  "logo_url": "<string>",
  "time_zone": "America/Los Angeles",
  "trustedform_certified_vendor": true,
  "website": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.activeprospect.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

LeadConduit uses HTTP Basic Authentication with the username API and your API key as the password.

For example: API:1f1b96c9150d8050e858c043d543bb4eadae0e6f'

Path Parameters

id
string
required
read-only

ID of the entity to delete 24 character alpha-numeric BSON identifier

Pattern: ^[0-9a-fA-F]{24}$
Example:

"5fd4371e940df5a34a3888b2"

Response

200 - application/json

OK

name
string
required

The name of the entity which is displayed throughout LeadConduit's UI

Example:

"A Corporation"

module_ids
string[]
required

Array of integration module IDs that are supported by this entity

source
null | enum<string>
required

Is this entity a lead source and if so, what kind?

Available options:
form,
seller,
other
recipient
null | enum<string>
required

Is this entity a lead recipient and if so, what kind?

Available options:
buyer,
crm,
analytics,
enhancement,
esp,
other
id
string
read-only

24 character alpha-numeric BSON identifier

Pattern: ^[0-9a-fA-F]{24}$
Example:

"5fd4371e940df5a34a3888b2"

description
string
standard
boolean
read-only

Read-only flag indicating whether this is a built-in entity

Example:

false

account
boolean | null

Read-only flag indicating whether this entity represents another LeadConduit account holder

Example:

true

pending
boolean
read-only

Read-only flag indicating whether this entity represents a pending entity waiting for invitation acceptance

Example:

true

connected
enum<string>
read-only

Read-only flag if this Account entity is connected to my account

Available options:
seller,
buyer,
both
Example:

"seller"

connected_account_id
string
read-only

Associated Account ID for a custom entity.

Pattern: ^[0-9a-fA-F]{24}$
Example:

"5fd4371e940df5a34a3888b2"

deprecated
boolean
Example:

false

see
string
read-only

The alternative entity ID to be used instead of this deprecated entity

Pattern: ^[0-9a-fA-F]{24}$
Example:

"5fd4371e940df5a34a3888b2"

field_suffix
string | null

The suffix required for all custom fields

Required string length: 3 - 5
Pattern: ^[0-9a-zA-Z]+$
Example:

"acorp"

invitation_id
string | null

The ID of the invitation ID created on Accounts side to reference the entity

Pattern: ^[0-9a-fA-F]{24}$
Example:

"5fd4371e940df5a34a3888b2"

invitation_expires_at
string<date-time> | null

The expiration date of the invitation from Accounts service

Example:

"2025-11-07T00:00:00Z"

expired
boolean
read-only

Flag indicating whether the invitation has expired

Example:

false

flow_ids
string[]

Array of flow IDs where this entity is listed in the sources array (or null if the account property is false

24 character alpha-numeric BSON identifier

Pattern: ^[0-9a-fA-F]{24}$
Example:
["5fd4371e940df5a34a3888b2"]
logo_url
string<uri>

The logo for this entity

time_zone
string

If this entity represents a buyer or seller with an account, this is the account's time zone

Example:

"America/Los Angeles"

trustedform_certified_vendor
boolean

If this entity represents a seller, is that company a TrustedForm Certified Vendor?

Example:

true

website
string<uri>

If this entity represents a buyer or seller, this is the URL to their marketing site

created_at
string<date-time>
read-only

The time this entity was created

updated_at
string<date-time>
read-only

The time this entity was last modified